summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2008-02-15 16:42:22 +1100
committerAndrew Tridgell <tridge@samba.org>2008-02-15 16:42:22 +1100
commit054bc11876c485173a2b11c4b6500e9120bb6e29 (patch)
treea11575d9f2527136ab36a6376bf3eb583e52b5d7 /testprogs
parentdb408c0d0dbe159146c637c97bbe9bbf41983586 (diff)
downloadsamba-054bc11876c485173a2b11c4b6500e9120bb6e29.tar.gz
samba-054bc11876c485173a2b11c4b6500e9120bb6e29.tar.bz2
samba-054bc11876c485173a2b11c4b6500e9120bb6e29.zip
added blackbox testing of gentest
(This used to be commit 716345fd38dfd8c6e610fbd6ba84c4f33e3edbb9)
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_gentest.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_gentest.sh b/testprogs/blackbox/test_gentest.sh
new file mode 100755
index 0000000000..89cc8c2795
--- /dev/null
+++ b/testprogs/blackbox/test_gentest.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Blackbox tests for gentest
+# Copyright (C) 2008 Andrew Tridgell
+# based on test_smbclient.sh
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_gentest.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+shift 4
+failed=0
+
+samba4bindir=`dirname $0`/../../source/bin
+gentest=$samba4bindir/gentest
+
+testit() {
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ fi
+ return $status
+}
+
+cat <<EOF > st/gentest.ignore
+all_info.out.fname
+internal_information.out.file_id
+EOF
+
+testit "gentest" $VALGRIND $gentest //$SERVER/test1 //$SERVER/test2 --num-ops=100 --ignore=st/gentest.ignore -W "$DOMAIN" -U"$USERNAME%$PASSWORD" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+
+/bin/rm -f st/gentest.ignore
+
+exit $failed